Create Merge File Job - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create Merge File Job
POST /v1/file-manager/transform/merge
cURL
curl --request POST \
--url https://{tenant}.mindbridge.ai/api/v1/file-manager/transform/merge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"engagementId": "<string>",
"outputFileName": "<string>",
"parentFileManagerEntityId": "<string>",
"fileColumnMappings": {},
"mappings": [
{
"fileManagerFileId": "<string>",
"columns": [
123
]
}
]
}
'
Python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/file-manager/transform/merge"
payload = {
"engagementId": "<string>",
"outputFileName": "<string>",
"parentFileManagerEntityId": "<string>",
"fileColumnMappings": {},
"mappings": [
{
"fileManagerFileId": "<string>",
"columns": [123]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
engagementId: '<string>',
outputFileName: '<string>',
parentFileManagerEntityId: '<string>',
fileColumnMappings: {},
mappings: [{fileManagerFileId: '<string>', columns: [123]}]
})
};
fetch('https://{tenant}.mindbridge.ai/api/v1/file-manager/transform/merge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/file-manager/transform/merge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'engagementId' => '<string>',
'outputFileName' => '<string>',
'parentFileManagerEntityId' => '<string>',
'fileColumnMappings' => [
],
'mappings' => [
[
'fileManagerFileId' => '<string>',
'columns' => [
123
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.mindbridge.ai/api/v1/file-manager/transform/merge"
payload := strings.NewReader(`{
"engagementId": "<string>",
"outputFileName": "<string>",
"parentFileManagerEntityId": "<string>",
"fileColumnMappings": {},
"mappings": [
{
"fileManagerFileId": "<string>",
"columns": [
123
]
}
]
}`)
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response
201 - application/json
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"entityId": "<string>",
"error": "<string>",
"errorMessage": "<string>"
}
Authorizations
Authorization
Bearer <token>- required, the authorization token to access the API.
Body
JSON Data:
- engagementId:
string(required) - Identifies the associated engagement. - outputFileName:
string(required) - The name of the file being generated in the requested merge operation. - parentFileManagerEntityId:
string- Identifies the parent directory, if NULL, positioned at the root level. - fileColumnMappings:
object(deprecated) - Reference to the files and the columns to include in the merge operation. - mappings:
array- Ordered list of file/column selections to merge.